summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/templating_lookups/runme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/targets/templating_lookups/runme.sh')
-rwxr-xr-xtest/integration/targets/templating_lookups/runme.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/test/integration/targets/templating_lookups/runme.sh b/test/integration/targets/templating_lookups/runme.sh
new file mode 100755
index 0000000..60b3923
--- /dev/null
+++ b/test/integration/targets/templating_lookups/runme.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+set -eux
+
+ANSIBLE_LOOKUP_PLUGINS=. ANSIBLE_ROLES_PATH=./ UNICODE_VAR=café ansible-playbook runme.yml "$@"
+
+ansible-playbook template_lookup_vaulted/playbook.yml --vault-password-file template_lookup_vaulted/test_vault_pass "$@"
+
+ansible-playbook template_deepcopy/playbook.yml -i template_deepcopy/hosts "$@"